#include <stdio.h>
#include <stdlib.h>

int main()
{
    char valoare[100] = "?", *p;
    int cifra=1, i;
    double n;
    
    //crearea unui fisier dinamic HTML
    printf("Content-type: text/html\n\n");
    printf("<HTML><HEAD><TITLE>Joc CGI</TITLE></HEAD><BODY>\n<CENTER>");
    printf("<BR><FONT SIZE+=2> Sa vedem cine a castigat</FONT><BR>\n");
    
    //decodificare numar introdus de utilizator
    p=getenv("QUERY_STRING");
    for(;p && *p!='=';p++);
    
    p++;
    for(i=0; *p && *p!='&'; p++)
    {
	if(!isdigit(*p))
	    cifra = 0;
	valoare[i++]=*p;
    }
    
    valoare[i] = 0;
    
    if(cifra)
    {
	printf("<BR><B>Ati ales</B> %.01F", n = atof(valoare));
	printf("<BR><B>Eu aleg</B> %0.1F", n+1);
	printf("<BR><B><BLINK><H1>Am castigat!</BLINK></B></H1>");
    }
    else
    {
	printf("<BR><H1>Nu ati introdus nici un numar!</H1>");
    }
    
    printf("<HR>\n<B><I>Optiunea dumneavoastra va rog:</B>");
    printf("<A HREF=\"http://apollo.eed.usv.ro/~pahomi_a/joc.html\">[Doresc un joc nou] </A>");
    printf("<A HREF=\"http://zeus.eed.usv.ro\">[Pagina facultatii]</A></I></HR>\n");
    
    printf("</BODY></HTML>");

    fflush(stdout);
    sleep(1);

    return 0;
}